org.labkey.remoteapi.pipeline

## Class FileNotificationCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<FileNotificationResponse>
  - - org.labkey.remoteapi.pipeline.FileNotificationCommand

-     public class FileNotificationCommand
      extends Command<FileNotificationResponse>

  Notifies the server that files may have become available for the pipeline to process. Causes the server to look through all of the jobs that are blocked, waiting for files, and release the ones whose files are now available. User: jeckels Date: Feb 15, 2011

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileNotificationCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FileNotificationResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, copy, createRequest, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileNotificationCommand

          public FileNotificationCommand()

  - ### Method Detail

    - #### createResponse

          protected FileNotificationResponse createResponse(java.lang.String text,
                                                            int status,
                                                            java.lang.String contentType,
                                                            org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<FileNotificationResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.